# DaprProtos.SubtleDecryptRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.SubtleDecryptRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubtleDecryptRequest`, `DaprProtos.SubtleDecryptRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.SubtleDecryptRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAlgorithm()` Algorithm to use, as in the JWA standard.
`com.google.protobuf.ByteString` `getAlgorithmBytes()` Algorithm to use, as in the JWA standard.
`com.google.protobuf.ByteString` `getAssociatedData()` Associated Data when using AEAD ciphers (optional).
`com.google.protobuf.ByteString` `getCiphertext()` Message to decrypt.
`String` `getComponentName()` Name of the component
`com.google.protobuf.ByteString` `getComponentNameBytes()` Name of the component
`String` `getKeyName()` Name (or name/version) of the key.
`com.google.protobuf.ByteString` `getKeyNameBytes()` Name (or name/version) of the key.
`com.google.protobuf.ByteString` `getNonce()` Nonce / initialization vector.
`com.google.protobuf.ByteString` `getTag()` Authentication tag.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getComponentName

    String getComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The componentName.

#### getComponentNameBytes

    com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The bytes for componentName.

#### getCiphertext

    com.google.protobuf.ByteString getCiphertext()

     Message to decrypt.

`bytes ciphertext = 2;`

Returns:
  The ciphertext.

#### getAlgorithm

    String getAlgorithm()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Returns:
  The algorithm.

#### getAlgorithmBytes

    com.google.protobuf.ByteString getAlgorithmBytes()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Returns:
  The bytes for algorithm.

#### getKeyName

    String getKeyName()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Returns:
  The keyName.

#### getKeyNameBytes

    com.google.protobuf.ByteString getKeyNameBytes()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Returns:
  The bytes for keyName.

#### getNonce

    com.google.protobuf.ByteString getNonce()

     Nonce / initialization vector.
     Ignored with asymmetric ciphers.

`bytes nonce = 5;`

Returns:
  The nonce.

#### getTag

    com.google.protobuf.ByteString getTag()

     Authentication tag.
     This is nil when not using an authenticated cipher.

`bytes tag = 6;`

Returns:
  The tag.

#### getAssociatedData

    com.google.protobuf.ByteString getAssociatedData()

     Associated Data when using AEAD ciphers (optional).

`bytes associated_data = 7 [json_name = "associatedData"];`

Returns:
  The associatedData.